import { HttpHandler } from '../../entities/HttpHandler';
import { Server } from '../../entities/Server';
import 'express-async-errors';
export declare class ExpressServerAdapter extends Server {
    private app;
    private multer;
    constructor(config: Server['config']);
    private parseResponse;
    private parseRequest;
    protected on(method: 'get' | 'post' | 'patch' | 'delete' | 'options' | 'put', path: string, middlewares: HttpHandler[]): void;
    listen(port: number, callback: () => void): void;
}
//# sourceMappingURL=ExpressServerAdapter.d.ts.map